Description

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of foreman-mysql:
foreman-mysql depends on foreman; however:

Package foreman is not configured yet.

dpkg: error processing foreman-mysql (--configure):

dependency problems - leaving unconfigured

No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:

foreman

foreman-mysq|

E: Sub-process /usr/bin/dpkg returned an error code (1)

History

#1 - 06/29/2012 07:43 AM - Deniss Dos

Can you please provide your installation procedure ?

Meaning: versions of packages and order in which you're trying to install them.

I've encountered same issue when installing foreman 0.42 or 1.0rc1 on Debian 6.0.

As a workaround packages needs to be installed in following order:

1. apt-get install puppet puppetmaster git-core
2. apt-get install foreman-mysql
3. apt-get install -t squeeze-backports puppet puppetmaster

#2 - 07/02/2012 04:32 AM - S. T.

Deniss Dos wrote:

Can you please provide your installation procedure ?
Meaning: versions of packages and order in which you're trying to install them.

I've encountered same issue when installing foreman 0.42 or 1.0rc1 on Debian 6.0.
As a workaround packages needs to be installed in following order:

1. apt-get install puppet puppetmaster git-core
2. apt-get install foreman-mysq|
3. apt-get install -t squeeze-backports puppet puppetmaster

Hi Deniss,

| simply followed your instruktions "Debian-Ubuntu installation by packages" on
http://theforeman.org/projects/foreman/wiki/Debian-Ubuntu_installation_by packages .

I've tryed to install it on Ubuntu 12.04 LTS and then appeared the dependencies errors.

Trying out your workaround above ends with dependency errors again at the end of foreman-mysq| installation:
Errors were encountered while processing:

foreman
http://theforeman.org/projects/foreman/wiki/Debian-Ubuntu_installation_by_packages

foreman-mysq|
I've taken the stable packages repository (deb http:/deb.theforeman.org/ stable main)

#3 - 07/02/2012 06:40 AM - Deniss Dos

Try installing from testing.

Today I've re-installed newer puppet + puppetmaster (2.7+) and then foreman-mysql and dependecy error is gone.

#4 - 07/05/2012 07:03 AM - S. T.

Deniss Dos wrote:
Try installing from testing.
Today I've re-installed newer puppet + puppetmaster (2.7+) and then foreman-mysql and dependecy error is gone.

Yea, now the installation works well, thank you!

#5 - 09/25/2012 12:16 PM - Greg Sutcliffe

- Status changed from New to Closed

Glad you got it fixed :)

Closing
